# prix.spec

Summary: Print Station
Name: prix
Version: 1.0
Release: final
Group: Application/System
License: Unknown
Source0: %{name}.src.tar.bz2
Requires: j2re >= 1.4.0, XFree86 >= 4.0.3, LPRng >= 3.8.9, krb5-libs >= 1.2.2, ntp >= 4.0, ifhp >= 3.5.10
BuildRoot: %{_tmppath}/%{name}

%description
Print station.  You will need additional software from
http://www.jini.org and http://rio.jini.org

%prep -q

%setup -q

%build -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a * %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_localstatedir}/ninja/queue

%post
echo
echo "You will need to copy the following files from the"
echo "installed Jini <http://www.jini.org> lib directory"
echo "to %{_datadir}/%{name}/code:"
echo "   jini-core.jar jini-ext.jar sun-util.jar"
echo
echo "You will need to copy the following files from the"
echo "installed Rio <http://rio.jini.org> lib directory"
echo "to %{_datadir}/%{name}/code:"
echo "   jsb-boot.jar loader.jar rio-core.jar serviceui.jar"
echo
echo "You will need to copy the following files from the"
echo "installed Rio <http://rio.jini.org> lib directory"
echo "to %{_datadir}/%{name}/code-dl:"
echo "   rio-dl.jar"
echo

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{name}
%{_localstatedir}/ninja/queue

%changelog
* Thu Mar 27 2003 Joseph Wang <jw168@columbia.edu>
- initial package creation



